linux-lts-vivid: 3.19.0-42.48~14.04.1 -proposed tracker

Bug #1527519 reported by Brad Figg on 2015-12-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux-lts-vivid (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-42.48~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 18. December 2015 09:48 UTC
kernel-stable-master-bug:1527393
kernel-stable-Certification-testing-end:Friday, 18. December 2015 18:36 UTC
kernel-stable-Security-signoff-end:Friday, 18. December 2015 18:36 UTC
kernel-stable-Prepare-package-end:Friday, 18. December 2015 18:51 UTC
kernel-stable-Promote-to-proposed-start:Friday, 18. December 2015 18:51 UTC
kernel-stable-Regression-testing-end:Friday, 18. December 2015 19:02 UTC
kernel-stable-Promote-to-updates-start:Saturday, 19. December 2015 11:25 UTC
kernel-stable-Promote-to-updates-end:Saturday, 19. December 2015 13:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Saturday, 19. December 2015 14:01 UTC

Brad Figg (brad-figg) on 2015-12-18
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Trusty):
importance: Undecided → Medium
Luis Henriques (henrix) on 2015-12-18
Changed in linux-lts-vivid (Ubuntu):
status: New → Invalid
Luis Henriques (henrix) on 2015-12-18
tags: added: qa-testing-passed
Luis Henriques (henrix) on 2015-12-18
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

promote-to-proposed is not set to one of the following (correct) states:
Fix Released,
promote-to-proposed task was set to state Confirmed
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated

 linux-lts-vivid | 3.19.0-42.48~14.04.1 | trusty-proposed | source
 linux-meta-lts-vivid | 3.19.0.42.27 | trusty-proposed | source
 linux-signed-lts-vivid | 3.19.0-42.48~14.04.1 | trusty-proposed | source

Luis Henriques (henrix) on 2015-12-19
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-vivid - 3.19.0-42.48~14.04.1

---------------
linux-lts-vivid (3.19.0-42.48~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1527519

  [ Jann Horn ]

  * ptrace: being capable wrt a process requires mapped uids/gids
    - LP: #1527374

linux (3.19.0-42.47) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * xen: Add RING_COPY_REQUEST()
    - CVE-2015-8550
  * xen-netback: don't use last request to determine minimum Tx credit
    - CVE-2015-8550
  * xen-netback: use RING_COPY_REQUEST() throughout
    - CVE-2015-8550
  * xen-blkback: only read request operation from shared ring once
    - CVE-2015-8550
  * xen-blkback: read from indirect descriptors only once
    - CVE-2015-8550
  * xen-scsiback: safely copy requests
    - CVE-2015-8550
  * xen/pciback: Save xen_pci_op commands before processing it
    - CVE-2015-8550
  * xen/pciback: Return error on XEN_PCI_OP_enable_msi when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Return error on XEN_PCI_OP_enable_msix when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Do not install an IRQ handler for MSI interrupts.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: For XEN_PCI_OP_disable_msi[|x] only disable if device has
    MSI(X) enabled.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Don't allow MSI-X ops if PCI_COMMAND_MEMORY is not set.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553

 -- Luis Henriques <email address hidden> Fri, 18 Dec 2015 09:59:09 +0000

Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Released

 linux-lts-vivid | 3.19.0-42.48~14.04.1 | trusty-updates | source
 linux-meta-lts-vivid | 3.19.0.42.27 | trusty-updates | source
 linux-signed-lts-vivid | 3.19.0-42.48~14.04.1 | trusty-updates | source

Brad Figg (brad-figg) on 2015-12-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers